OUT_DIR := build
OUT_BIN := $(OUT_DIR)/banker

$(OUT_BIN): banker.cpp
	mkdir -p $(OUT_DIR)
	g++ -pthread --std=c++20 banker.cpp -o $(OUT_BIN)

.PHONY: run
run: $(OUT_BIN)
	./$(OUT_BIN)

.PHONY: clean
clean:
	rm -rf $(OUT_DIR)